GET api/PBI_role/role/{roleId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
roleId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PBI_RoleViewModel
NameDescriptionTypeAdditional information
active

boolean

None.

code

string

Required

customer_ID

globally unique identifier

None.

customerName

string

None.

id

globally unique identifier

None.

names

Dictionary of string [key] and string [value]

Required

permissions

Collection of PBI_PermissionsViewModel

Required

site_ID

globally unique identifier

Required

siteName

string

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": "sample string 2",
  "customer_ID": "6b2e5d62-98e2-4e65-b304-93170bda89c6",
  "customerName": "sample string 4",
  "id": "0546f3cd-133e-4d97-a579-214f0c7de9c5",
  "names": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "permissions": [
    {
      "id": "71c17745-e853-4cb6-8dd8-66a2324004a9",
      "active": true,
      "foreign_ID": "004378b1-1f97-4c1c-a15d-4509290c223c",
      "foreign_Label": "sample string 3",
      "type": 1
    },
    {
      "id": "71c17745-e853-4cb6-8dd8-66a2324004a9",
      "active": true,
      "foreign_ID": "004378b1-1f97-4c1c-a15d-4509290c223c",
      "foreign_Label": "sample string 3",
      "type": 1
    }
  ],
  "site_ID": "de35255a-efd1-4ecc-ae46-52b5638e9ec0",
  "siteName": "sample string 8"
}

application/xml, text/xml

Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>sample string 2</code>
  <customerName>sample string 4</customerName>
  <customer_ID>6b2e5d62-98e2-4e65-b304-93170bda89c6</customer_ID>
  <id>0546f3cd-133e-4d97-a579-214f0c7de9c5</id>
  <names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </names>
  <permissions>
    <PBI_PermissionsViewModel>
      <Active>true</Active>
      <Foreign_ID>004378b1-1f97-4c1c-a15d-4509290c223c</Foreign_ID>
      <Foreign_Label>sample string 3</Foreign_Label>
      <ID>71c17745-e853-4cb6-8dd8-66a2324004a9</ID>
      <type>SiteCustomer</type>
    </PBI_PermissionsViewModel>
    <PBI_PermissionsViewModel>
      <Active>true</Active>
      <Foreign_ID>004378b1-1f97-4c1c-a15d-4509290c223c</Foreign_ID>
      <Foreign_Label>sample string 3</Foreign_Label>
      <ID>71c17745-e853-4cb6-8dd8-66a2324004a9</ID>
      <type>SiteCustomer</type>
    </PBI_PermissionsViewModel>
  </permissions>
  <siteName>sample string 8</siteName>
  <site_ID>de35255a-efd1-4ecc-ae46-52b5638e9ec0</site_ID>
</PBI_RoleViewModel>